org.apache.hadoop.fs.http.server

## Class FSOperations.FSRemoveAclEntries

- java.lang.Object
- - org.apache.hadoop.fs.http.server.FSOperations.FSRemoveAclEntries

- All Implemented Interfaces:
    FileSystemAccess.FileSystemExecutor<Void>
  Enclosing class:
    FSOperations

      @InterfaceAudience.Private
      public static class FSOperations.FSRemoveAclEntries
      extends Object
      implements FileSystemAccess.FileSystemExecutor<Void>

  Executor that removes acl entries from a file in a FileSystem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSRemoveAclEntries(String path, String aclSpec)` Creates a remove acl entry executor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.apache.hadoop.fs.FileSystem fs)` Executes the filesystem operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FSRemoveAclEntries

          public FSRemoveAclEntries(String path,
                                    String aclSpec)

      Creates a remove acl entry executor.
      Parameters:
        `path` - path to set the acl.
        `aclSpec` - acl parts to remove.

  - ### Method Detail

    - #### execute

          public Void execute(org.apache.hadoop.fs.FileSystem fs)
                       throws IOException

      Executes the filesystem operation.
      Specified by:
        `execute` in interface `FileSystemAccess.FileSystemExecutor<Void>`
      Parameters:
        `fs` - filesystem instance to use.
      Returns:
        void.
      Throws:
        `IOException` - thrown if an IO error occurred.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.